org.apache.olingo.server.api.uri.queryoption.apply

## Enum AggregateExpression.StandardMethod

- java.lang.Object
- - java.lang.Enum<AggregateExpression.StandardMethod>
  - - org.apache.olingo.server.api.uri.queryoption.apply.AggregateExpression.StandardMethod

- All Implemented Interfaces:
    Serializable, Comparable<AggregateExpression.StandardMethod>
  Enclosing interface:
    AggregateExpression

      public static enum AggregateExpression.StandardMethod
      extends Enum<AggregateExpression.StandardMethod>

  Standard aggregation method.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AVERAGE`
    `COUNT_DISTINCT`
    `MAX`
    `MIN`
    `SUM`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AggregateExpression.StandardMethod` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AggregateExpression.StandardMethod[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUM

          public static final AggregateExpression.StandardMethod SUM

    - #### MIN

          public static final AggregateExpression.StandardMethod MIN

    - #### MAX

          public static final AggregateExpression.StandardMethod MAX

    - #### AVERAGE

          public static final AggregateExpression.StandardMethod AVERAGE

    - #### COUNT_DISTINCT

          public static final AggregateExpression.StandardMethod COUNT_DISTINCT

  - ### Method Detail

    - #### values

          public static AggregateExpression.StandardMethod[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AggregateExpression.StandardMethod c : AggregateExpression.StandardMethod.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AggregateExpression.StandardMethod valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.